Subject: Re: [DNSOP] DNSOP Digest, Vol 134, Issue 11

From: "[email-masked]" <[email-masked]>
Date: Thu, 18 Jan 2018 08:54:32 -0800

As someone who implements DNS primarily for enterprise and government I live in this world everyday…. I will say we typically use internal and external DNS to cover these terms. With external using the root and internal facing the clients. I am not saying these are the right terms. Just what is commonly used today.

Personally I believe we only need the term internal DNS to describe a DNS that is independent of the root and tld structure. And the DNS is the DNS (no need for external in our terminology here in my opinion there is one “the DNS"….

Rob

ps. I just took a blind quiz of my corporate training students to see how they describe it and the all instantly came back with Internal and External

Robert Nagy
CEO and Senior DiveMaster
c:  408.480.5133
[email-masked]
www.deepdivenetworking.com

> On Jan 15, 2018, at 12:00 PM, [email-masked] wrote:
> 
> Send DNSOP mailing list submissions to
> 	[email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www.ietf.org/mailman/listinfo/dnsop
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
> 
> You can reach the person managing the list at
> 	[email-masked]
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of DNSOP digest..."
> 
> 
> Today's Topics:
> 
>   1. Re:  Please review in terminology-bis: Global DNS and Private
>      DNS (Andrew Sullivan)
> 
> 
> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Mon, 15 Jan 2018 11:57:46 -0500
> From: Andrew Sullivan <[email-masked]>
> To: [email-masked]
> Subject: Re: [DNSOP] Please review in terminology-bis: Global DNS and
> 	Private DNS
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=us-ascii
> 
> Hi,
> 
> On Mon, Dec 18, 2017 at 02:52:11PM +0100, Stephane Bortzmeyer wrote:
> 
>> I think that it would be better to remove "global DNS". It is not a
>> technical definition and it assumes things like the mythical "names
>> operational community".
> 
> I don't believe the "names operational community" is mythical, since
> it specifies behaviour through a formal mechanism for something that
> goes in an IANA registry.  But the discussion of Global DNS is
> imperfect, I agree.
> 
>> This draft is about DNS terminology. From the
>> point of view of the DNS, ICANN and OpenNIC are the same (same
>> protocols, same concepts, same names) even if their registration
>> (i.e. non-DNS) policies are different.
> 
> I think that description is, however, inaccurate.  One of those DNS
> operations is the public Internet name system -- the one with the root
> published by IANA -- and the other one is not.  This is not different
> from the distinction between split-horizon names, where some of them
> can get answers from the public Internet and others cannot.  It is
> also the way we can reasonably make the distinction between something
> like local., which is a domain name that is not part of the DNS;
> home., which is not delegated in the "global DNS" but might be in use
> in the DNS in some locations; and com., which is delgated in the
> "global DNS".  I think this is an important notion that impinges on
> the DNS, and I think we need to be able to define a term to cover it,
> but if people hate "global DNS" maybe we need a different term?
> 
> Best regards,
> 
> A
> 
> -- 
> Andrew Sullivan
> [email-masked]
> 
> 
> 
> ------------------------------
> 
> Subject: Digest Footer
> 
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop
> 
> 
> ------------------------------
> 
> End of DNSOP Digest, Vol 134, Issue 11
> **************************************